Skip to main content
GET
/
config
/
indexer
Indexer configuration
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/config/indexer?apikey='
{
  "block_reward_fetcher_enabled": true,
  "indexer_enabled": true,
  "internal_transactions_fetcher_enabled": true,
  "pending_transactions_fetcher_enabled": true,
  "token_instance_retry_fetcher_enabled": true,
  "token_instance_sanitize_fetcher_enabled": true
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Indexer configuration.

block_reward_fetcher_enabled
boolean
indexer_enabled
boolean
internal_transactions_fetcher_enabled
boolean
pending_transactions_fetcher_enabled
boolean
token_instance_retry_fetcher_enabled
boolean
token_instance_sanitize_fetcher_enabled
boolean